## mingw-w64-python-glad-2.0.5-3.src.tar.zst

=== cmake/CMakeLists.txt ===
#  configuration variables:
#    GLAD_SOURCES_DIR: path to the sources of glad (=python module)

cmake_minimum_required(VERSION 3.12)
project(glad C)

set(
    GLAD_CMAKE_DIR
    "${CMAKE_CURRENT_LIST_DIR}"
    CACHE STRING
    "Directory containing glad generator CMakeLists.txt. Must be absolute."
    )
set(
    GLAD_SOURCES_DIR
    "${GLAD_CMAKE_DIR}/../"
    CACHE STRING
    "Directory containing glad sources (python modules), used as working directory. Must be absolute."
    )
mark_as_advanced(GLAD_CMAKE_DIR)

list(APPEND CMAKE_PREFIX_PATH ${GLAD_SOURCES_DIR})
find_package(Glad REQUIRED)

=== PKGBUILD ===
# Maintainer: kasper93 <kasper93@gmail.com>

_realname=glad
pkgbase=mingw-w64-python-${_realname}
pkgname="${MINGW_PACKAGE_PREFIX}-python-${_realname}"
pkgver=2.0.5
pkgrel=3
pkgdesc='Multi-Language Vulkan/GL/GLES/EGL/GLX/WGL Loader-Generator based on the official specs (mingw-w64)'
arch=('any')
mingw_arch=('mingw32' 'mingw64' 'ucrt64' 'clang64' 'clangarm64')
url='https://github.com/Dav1dde/glad'
license=('spdx:MIT')
depends=("${MINGW_PACKAGE_PREFIX}-python"
         "${MINGW_PACKAGE_PREFIX}-python-jinja")
makedepends=("${MINGW_PACKAGE_PREFIX}-python-build"
             "${MINGW_PACKAGE_PREFIX}-python-installer"
             "${MINGW_PACKAGE_PREFIX}-python-setuptools")
options=('!strip')
source=(${url}/archive/refs/tags/v${pkgver}/${_realname}-${pkgver}.tar.gz)
sha256sums=('850351f1960f3fed775f0b696d7f17615f306beb56be38a20423284627626df1')

build() {
  cd "${srcdir}"
  cp -r "${_realname}-${pkgver}" "python-build-${MSYSTEM}" && cd "python-build-${MSYSTEM}"

  "${MINGW_PREFIX}"/bin/python -m build --wheel --skip-dependency-check --no-isolation
}

package() {
  cd "${srcdir}/python-build-${MSYSTEM}"

  MSYS2_ARG_CONV_EXCL="--prefix=" \
    ${MINGW_PREFIX}/bin/python -m installer --prefix=${MINGW_PREFIX} \
    --destdir="${pkgdir}" dist/*.whl

  install -Dm644 LICENSE -t "${pkgdir}${MINGW_PREFIX}/share/licenses/$_realname/"
  install -Dm644 README.md -t "${pkgdir}${MINGW_PREFIX}/share/doc/$_realname/"
}
